Bug 92671 - GTK+3: Tooltips drawn on secondary screen
Summary: GTK+3: Tooltips drawn on secondary screen
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0 target:5.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-10 10:25 UTC by Jacobo Aragunde Pérez
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot showing the problem. (953.29 KB, image/png)
2015-07-10 10:25 UTC, Jacobo Aragunde Pérez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacobo Aragunde Pérez 2015-07-10 10:25:58 UTC
Created attachment 117169 [details]
Screenshot showing the problem.

When the desktop is configured in dual screen mode, the tooltips seem to get attached to the secondary screen.

* If LibreOffice window is on the secondary screen: tooltips appear in the correct position.

* If LibreOffice window is on the primary screen: tooltips appear in the secondary screen, in the correct Y position.

See attached screenshot.
Comment 1 Joel Madero 2015-07-12 16:39:08 UTC
@Jacobo -

Couple questions:
1) What distro are you running and what DE?
2) Is this a new problem with 5.1 or is it present in other versions as well?
Comment 2 Commit Notification 2015-07-13 15:20:40 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=74f9d9808fce14f015d56a2aaa4ec5616ed7aa3e

Resolves: tdf#92671 union each monitor workarea to find best screen workarea

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2015-07-16 11:44:57 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=baea35b431e03819406199ed6001d3cbbe650b9c&h=libreoffice-5-0

Resolves: tdf#92671 union each monitor workarea to find best screen workarea

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.